## visad.data.amanda
Class Hit

    java.lang.Object
      visad.data.amanda.Hit

All Implemented Interfaces:
  Comparable

public class Hit
extends Object
implements Comparable

Field Summary
`static RealType` `amplitudeType`
`static RealType` `indexType`
`static RealType` `leadingEdgeTimeType`
`static RealTuple` `missing`
`static RealType` `moduleType`
`static RealTupleType` `tupleType`

Constructor Summary
`(package private)` `Hit(Module mod, float amplitude, float leadEdgeTime, float timeOverThreshold)`

Method Summary
`int` `compareTo(Hit h)`
`int` `compareTo(Object obj)`
`boolean` `equals(Object obj)`
`float` `getAmplitude()`
`float` `getLeadingEdgeTime()`
`Module` `getModule()`
`float` `getTimeOverThreshold()`
`RealTuple` `makeData()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### amplitudeType

    public static final RealType amplitudeType

### indexType

    public static final RealType indexType

### leadingEdgeTimeType

    public static final RealType leadingEdgeTimeType

### moduleType

    public static final RealType moduleType

### tupleType

    public static RealTupleType tupleType

### missing

    public static RealTuple missing

Constructor Detail

### Hit

    Hit(Module mod,
        float amplitude,
        float leadEdgeTime,
        float timeOverThreshold)

Method Detail

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### compareTo

    public int compareTo(Hit h)

### equals

    public boolean equals(Object obj)

### getAmplitude

    public final float getAmplitude()

### getLeadingEdgeTime

    public final float getLeadingEdgeTime()

### getModule

    public final Module getModule()

### getTimeOverThreshold

    public final float getTimeOverThreshold()

### makeData

    public final RealTuple makeData()

### toString

    public String toString()